Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.async
Class TimerSchedule

    java.lang.Object
      org.jboss.seam.async.Schedule
          org.jboss.seam.async.TimerSchedule

All Implemented Interfaces:
  Serializable

    public class TimerSchedule

extends Schedule

A "schedule" for a timed event executed by the EJB timer service or some other timer service which supports delayed and/or periodic timed events.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static TimerSchedule` | `ONCE_IMMEDIATELY`

Constructor Summary
`TimerSchedule(Date expiration)`
`TimerSchedule(Date expiration, Long intervalDuration)`
`TimerSchedule(Long duration)`
`TimerSchedule(Long duration, Long intervalDuration)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONCE_IMMEDIATELY

    public static final TimerSchedule ONCE_IMMEDIATELY

Constructor Detail

### TimerSchedule

    public TimerSchedule(Long duration)

Parameters:
  `duration` - the delay before the event occurs

### TimerSchedule

    public TimerSchedule(Date expiration)

Parameters:
  `expiration` - the datetime at which the event occurs

### TimerSchedule

    public TimerSchedule(Long duration,
                         Long intervalDuration)

Parameters:
  `duration` - the delay before the first event occurs
  `intervalDuration` - the period between the events

### TimerSchedule

    public TimerSchedule(Date expiration,
                         Long intervalDuration)

Parameters:
  `expiration` - the datetime at which the first event occurs
  `intervalDuration` - the period between the events

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Schedule`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Schedule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD